%define anolis_release 1
Summary: Spell checker
Name: aspell
Version: 0.60.8.1
Release: %{anolis_release}%{?dist}
Epoch: 12
# LGPLv2+ .. common/gettext.h
# LGPLv2  .. modules/speller/default/phonet.hpp,
#            modules/speller/default/phonet.cpp,
#            modules/speller/default/affix.cpp
# GPLv2+  .. ltmain.sh, misc/po-filter.c
# BSD     .. myspell/munch.c
License: LGPL-2.0-or-later AND LGPL-2.1-only AND GPL-2.0-or-later AND BSD-2-Clause
URL: http://aspell.net/
Source: https://ftp.gnu.org/gnu/aspell/aspell-%{version}.tar.gz

Patch0: aspell-0.60.7-fileconflict.patch
Patch1: aspell-0.60.7-pspell_conf.patch
Patch2: aspell-0.60.7-mp.patch

# IMPORTANT
# The reason behind this was that there were no upstream releases for 4 years
# and there are other variants like hunspell or enchant which had active upstream
# FESCo approval is located here: https://pagure.io/fesco/issue/3009
# Change proposal is located here: https://fedoraproject.org/wiki/Changes/AspellDeprecation
Provides:  deprecated()

BuildRequires: gcc-c++
BuildRequires: chrpath, gettext, ncurses-devel, pkgconfig, perl-interpreter
BuildRequires: make

%description
GNU Aspell is a Free and Open Source spell checker designed to eventually
replace Ispell. It can either be used as a library or as an independent
spell checker. Its main feature is that it does a much better job of
coming up with possible suggestions than just about any other spell checker
out there for the English language, including Ispell and Microsoft Word.
It also has many other technical enhancements over Ispell such as using
shared memory for dictionaries and intelligently handling personal
dictionaries when more than one Aspell process is open at once.

%package devel
Summary: Libraries and header files for Aspell development
Requires: %{name} = %{EVR}

# For details, see above
Provides:  deprecated()

%description devel
The aspell-devel package includes libraries
and header files needed for Aspell development.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1
iconv -f iso-8859-2 -t utf-8 < manual/aspell.info > manual/aspell.info.aux
mv manual/aspell.info.aux manual/aspell.info

%build
%configure --disable-rpath
%make_build
cp scripts/aspell-import examples/aspell-import
chmod 644 examples/aspell-import
cp manual/aspell-import.1 examples/aspell-import.1

%install
%make_install

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60

mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/ispell ${RPM_BUILD_ROOT}%{_bindir}
mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/spell ${RPM_BUILD_ROOT}%{_bindir}

chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//nroff-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//sgml-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//context-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//email-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//tex-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//texinfo-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//markdown-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_bindir}/aspell
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/libpspell.so.*

rm -f ${RPM_BUILD_ROOT}%{_bindir}/aspell-import
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/aspell-import.1

%find_lang %{name}

%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING
%doc examples/aspell-import examples/aspell-import.1
%dir %{_libdir}/aspell-0.60
%dir %{abidir}
%{_bindir}/a*
%{_bindir}/ispell
%{_bindir}/pr*
%{_bindir}/run-with-aspell
%{_bindir}/spell
%{_bindir}/word-list-compress
%{_libdir}/lib*.so.*
%{_libdir}/aspell-0.60/*
%{_infodir}/aspell.*
%{_mandir}/man1/aspell.1.*
%{_mandir}/man1/run-with-aspell.1*
%{_mandir}/man1/word-list-compress.1*
%{_mandir}/man1/prezip-bin.1.*
%{abidir}/context-filter.dump
%{abidir}/email-filter.dump
%{abidir}/libaspell.dump
%{abidir}/libpspell.dump
%{abidir}/markdown-filter.dump
%{abidir}/nroff-filter.dump
%{abidir}/texinfo-filter.dump
%{abidir}/tex-filter.dump
%{abidir}/sgml-filter.dump
%{abidir}/*-option.list
%exclude %{abidir}/pspell-config-option.list

%files doc
%doc README TODO

%files devel
%dir %{_includedir}/pspell
%{_bindir}/pspell-config
%{abidir}/pspell-config-option.list
%{_includedir}/aspell.h
%{_includedir}/pspell/pspell.h
%{_libdir}/lib*spell.so
%{_libdir}/pkgconfig/*
%{_infodir}/aspell-dev.*
%{_mandir}/man1/pspell-config.1*

%changelog
* Fri Feb 21 2025 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.60.8.1-1
- Update to 0.60.8.1-1 from 0.60.8-3
- Remove patch which is already exist in upstream
- Add deprecated description because there were no upstream releases for a long time
- Migrated to SPDX license

* Wed Sep 27 2023 Funda Wang <fundawang@yeah.net> - 0.60.8-3
- Cleanup spec for loongarch

* Mon Jan 09 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.60.8-2
- add doc package and update spec

* Tue May 17 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.60.8-1
- init from upstream
